Slot (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physconn.Slot interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physconn
Interface Slot

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalConnector, PhysicalElement, java.io.Serializable

    public interface Slot

extends PhysicalConnector

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.phys.physconn.PhysicalConnector
`BACKPLANE, CHASSIS, FAN, MODULE, OTHER, PORT, POWERSUPPLY, RACK, SENSOR, SLOT, UNKNOWN`

Method Summary
`Fan` | `getFan()`
`int` | `getNumber()`
`PhysicalFrame` | `getPhysicalFrame()`
`PowerSupply` | `getPowerSupply()`
`Slot` | `getSlot()`
`int` | `getSlotState()`
`boolean` | `hasFan()`
`boolean` | `hasNumber()`
`boolean` | `hasPhysicalFrame()`
`boolean` | `hasPowerSupply()`
`boolean` | `hasSlot()`
`boolean` | `hasSlotState()`
`void` | `setFan(Fan x)`
`void` | `setNumber(int x)`
`void` | `setPhysicalFrame(PhysicalFrame x)`
`void` | `setPowerSupply(PowerSupply x)`
`void` | `setSlot(Slot slot)`
`void` | `setSlotState(int x)`

Methods inherited from interface com.collation.platform.model.topology.phys.physconn.PhysicalConnector
`getFWRevision, getHWRevision, getManufacturer, getModel, getName, getParent, getPhysicalConnectorsInConnector, getPhysicalPackageInConnector, getRelativePosition, getSerialNumber, getSWRevision, getType, hasFWRevision, hasHWRevision, hasManufacturer, hasModel, hasName, hasParent, hasPhysicalConnectorsInConnector, hasPhysicalPackageInConnector, hasRelativePosition, hasSerialNumber, hasSWRevision, hasType, setFWRevision, setHWRevision, setManufacturer, setModel, setName, setParent, setPhysicalConnectorsInConnector, setPhysicalPackageInConnector, setRelativePosition, setSerialNumber, setSWRevision, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFan

    Fan getFan()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PluggedInto" reverse="true"

### setFan

    void setFan(Fan x)

### hasFan

    boolean hasFan()

### getPowerSupply

    PowerSupply getPowerSupply()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PluggedInto" reverse="true"

### setPowerSupply

    void setPowerSupply(PowerSupply x)

### hasPowerSupply

    boolean hasPowerSupply()

### getSlotState

    int getSlotState()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSlotState

    void setSlotState(int x)

### hasSlotState

    boolean hasSlotState()

### getNumber

    int getNumber()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumber

    void setNumber(int x)

### hasNumber

    boolean hasNumber()

### getPhysicalFrame

    PhysicalFrame getPhysicalFrame()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PluggedInto" reverse="true"

### setPhysicalFrame

    void setPhysicalFrame(PhysicalFrame x)

### hasPhysicalFrame

    boolean hasPhysicalFrame()

### getSlot

    Slot getSlot()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSlot

    void setSlot(Slot slot)

### hasSlot

    boolean hasSlot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD